Retrieves the user_planning_slot with the specified key
Request Information
URI Parameters :
| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
Required |
Body Parameters :
None.
Response Information
Resource Description :
IHttpActionResult
user_planning_slot| Name | Description | Type | Additional information |
|---|---|---|---|
| id |
Primary Key |
globally unique identifier |
Required |
| user_id |
Foreign key to user. |
globally unique identifier |
Required |
| user_planning_slot_type_id |
Foreign key to user planning slot type id. |
globally unique identifier |
Required |
| date_from |
Date from, |
date | |
| date_to |
Date to, |
date | |
| description |
Description of user planning slot. |
string | |
| modified_dateutc |
Readonly system field managed by database, filled with GetUtcDate when adding,updating. |
date |
Response Formats
application/json, text/json
Sample:
{
"id": "228392f7-5384-4034-91f8-7610fc9c3592",
"user_id": "b4867af4-cc01-4549-8fb0-f1f662a92f89",
"user_planning_slot_type_id": "64c967ae-d2d0-44aa-8f1d-ba481f5864a3",
"date_from": "2026-10-16T14:46:03.5973424+00:00",
"date_to": "2026-10-16T14:46:03.5973424+00:00",
"description": "sample string 6",
"modified_dateutc": "2026-10-16T14:46:03.5973424+00:00"
}